Loading...
Searching...
No Matches
irr::scene::quake3::SVarGroupList Struct Reference

holding a group a variable More...

`#include <IQ3Shader.h>`

Inheritance diagram for irr::scene::quake3::SVarGroupList:

## Public Member Functions

| SVarGroupList ()
virtual | ~SVarGroupList ()
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Public Attributes

core::array< SVarGroup > | VariableGroup

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

holding a group a variable

Definition at line 625 of file IQ3Shader.h.

## Constructor & Destructor Documentation

## SVarGroupList()

irr::scene::quake3::SVarGroupList::SVarGroupList | ( |  | ) |

inline

Definition at line 627 of file IQ3Shader.h.

References irr::core::ALLOC_STRATEGY_SAFE, and VariableGroup.

## ~SVarGroupList()

virtual irr::scene::quake3::SVarGroupList::~SVarGroupList | ( |  | ) |

inline virtual

Definition at line 631 of file IQ3Shader.h.

## Member Data Documentation

## VariableGroup

core::array< SVarGroup > irr::scene::quake3::SVarGroupList::VariableGroup

Definition at line 633 of file IQ3Shader.h.

Referenced by SVarGroupList(), and irr::scene::quake3::dumpShader().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0